Bug 51887 - colrm barfs on non-ASCII chars
Summary: colrm barfs on non-ASCII chars
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: util-linux   
(Show other bugs)
Version: 7.1
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Elliot Lee
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-08-16 15:45 UTC by John Smith
Modified: 2007-04-18 16:35 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-08-16 15:45:54 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description John Smith 2001-08-16 15:45:50 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.77 [en] (X11; U; Linux 2.4.3-12 i686)

Description of problem:
When colrm hits an input line containing a character higher
than decimal 127, it freezes.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.$ cat >junk1
  rubbish
  stuff
  buzz
  more rubbish
  ^D
2.$ tr "z" '\340' <junk1 >junk2
3.$ colrm 3 <junk2
	

Actual Results:  Output is
ru
st
and a frozen colrm

Expected Results:  
ru
st
bu
mo

Additional info:

Comment 1 Elliot Lee 2001-12-28 21:01:13 UTC
I patched this in util-linux-2.11n-2


Note You need to log in before you can comment on or make changes to this bug.